/*
 * Copyright 2014 Dmytro Titov
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package io.github.autsia.crowly.config;

import io.github.autsia.crowly.services.social.SocialEndpoint;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;
import org.springframework.social.twitter.api.Twitter;
import org.springframework.social.twitter.api.impl.TwitterTemplate;

import java.util.HashMap;
import java.util.Map;

/**
 * Created by Dmytro on 3/24/2014 at 01:27
 * Project: crowly
 */
@Configuration
public class SocialConfig {

    @Value("${twitter.consumer.secret}")
    private String consumerSecret;

    /* Twitter Configuration Start */
    @Value("${twitter.consumer.key}")
    private String consumerKey;
    @Value("${twitter.access.token}")
    private String accessToken;
    @Value("${twitter.access.token.secret}")
    private String accessTokenSecret;

    @Bean
    public Map<String, SocialEndpoint> getSocialEndpoints() {
        return new HashMap<>();
    }

    @Bean
    public Twitter getTwitter() {
        return new TwitterTemplate(consumerKey, consumerSecret, accessToken, accessTokenSecret);
    }

    /* Twitter Configuration end */

}
