package io.github.autsia.crowly.controllers.aspects;

import org.aspectj.lang.ProceedingJoinPoint;
import org.aspectj.lang.annotation.Around;
import org.aspectj.lang.annotation.Aspect;
import org.springframework.stereotype.Component;

import javax.servlet.http.HttpServletResponse;

/**
 * Created by Dmytro on 11/7/2014.
 */
@Aspect
@Component("accessControlAllowOriginAspect")
public class AccessControlAllowOriginAspect {

    @Around("execution(* io.github.autsia.crowly.controllers.rest.*.*(..))")
    public Object process(ProceedingJoinPoint jointPoint) throws Throwable {
        for (Object argument : jointPoint.getArgs()) {
            if (argument instanceof HttpServletResponse) {
                ((HttpServletResponse) argument).setHeader("Access-Control-Allow-Origin", "*");
                ((HttpServletResponse) argument).setHeader("Access-Control-Allow-Methods", "GET, POST, DELETE, PUT");
                ((HttpServletResponse) argument).setHeader("Access-Control-Allow-Credentials", "true");
            }
        }
        return jointPoint.proceed();
    }

}
