/*
 * Copyright 2014 Dmytro Titov
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package io.github.autsia.crowly.model;

import io.github.autsia.crowly.services.sentiment.Sentiment;
import org.apache.commons.lang3.tuple.Triple;
import org.springframework.data.annotation.Id;

import java.util.Map;
import java.util.Set;

/**
 * Created by Dmytro on 4/20/2014 at 20:11
 * Project: crowly
 */
public class Campaign {

    public static final boolean ACTIVE = true;
    public static final boolean NOT_ACTIVE = false;

    @Id
    private String id;
    private String name;

    private boolean status;
    private Set<String> socialEndpoints;
    private Set<String> languages;
    private Set<String> keywords;
    private Map<String, Triple<Double, Double, Double>> locations;
    private String cronExpression;
    private Sentiment sentiment;
    private float threshold;

    private Set<String> userEmails;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public boolean isStatus() {
        return status;
    }

    public void setStatus(boolean isActive) {
        this.status = isActive;
    }

    public Set<String> getSocialEndpoints() {
        return socialEndpoints;
    }

    public void setSocialEndpoints(Set<String> socialEndpoints) {
        this.socialEndpoints = socialEndpoints;
    }

    public Set<String> getLanguages() {
        return languages;
    }

    public void setLanguages(Set<String> languages) {
        this.languages = languages;
    }

    public Set<String> getKeywords() {
        return keywords;
    }

    public void setKeywords(Set<String> keywords) {
        this.keywords = keywords;
    }

    public Set<String> getUserEmails() {
        return userEmails;
    }

    public void setUserEmails(Set<String> userEmails) {
        this.userEmails = userEmails;
    }

    public String getCronExpression() {
        return cronExpression;
    }

    public void setCronExpression(String cronExpression) {
        this.cronExpression = cronExpression;
    }

    public Sentiment getSentiment() {
        return sentiment;
    }

    public void setSentiment(Sentiment sentiment) {
        this.sentiment = sentiment;
    }

    public float getThreshold() {
        return threshold;
    }

    public void setThreshold(float threshold) {
        this.threshold = threshold;
    }

    public Map<String, Triple<Double, Double, Double>> getLocations() {
        return locations;
    }

    public void setLocations(Map<String, Triple<Double, Double, Double>> locations) {
        this.locations = locations;
    }
}
