/*
 * Copyright 2014 Dmytro Titov
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package io.github.autsia.crowly.repositories;

import io.github.autsia.crowly.model.Campaign;
import org.springframework.data.mongodb.repository.MongoRepository;

import java.util.List;

/**
 * Created by Dmytro on 4/24/2014 at 19:49
 * Project: crowly
 */
public interface CampaignRepository extends MongoRepository<Campaign, String> {

    public List<Campaign> findByUserEmails(String userEmail);

    public List<Campaign> findByStatus(boolean status);

}
