/*
 * Copyright 2014 Dmytro Titov
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package io.github.autsia.crowly.services.geolocation;

import org.apache.commons.lang3.tuple.Triple;
import org.springframework.social.twitter.api.GeoCode;

import java.util.List;
import java.util.Map;

/**
 * Created by Dmytro on 5/8/2014 at 20:59
 * Project: crowly
 */
public interface GeoLocationService {

    public Map<String, Triple<Double, Double, Double>> getLocationsAsMap(List<String> regionNames);

    public GeoCode convertCoordinatesToGeoCode(Triple<Double, Double, Double> location);

}
