/*
 * Copyright 2014 Dmytro Titov
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package io.github.autsia.crowly.services.sentiment;

import org.apache.commons.lang3.StringUtils;

/**
 * Created by Dmytro on 07.12.13 at 23:45
 * Project: crowly
 */
public enum Sentiment {

    POSITIVE("Positive"),
    NEUTRAL("Neutral"),
    NEGATIVE("Negative");

    private String sentiment;

    Sentiment(String sentiment) {
        this.sentiment = sentiment;
    }

    public static Sentiment get(String sentiment) {
        for (Sentiment s : values()) {
            if (StringUtils.equals(sentiment, s.toString())) {
                return s;
            }
        }
        return null;
    }

    @Override
    public String toString() {
        return sentiment;
    }
}
