/*
 * Copyright 2014 Dmytro Titov
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package io.github.autsia.crowly.services.social;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import javax.annotation.PostConstruct;
import java.util.HashMap;
import java.util.List;
import java.util.Map;
import java.util.Set;

/**
 * Created by Dmytro on 5/9/2014 at 19:18
 * Project: crowly
 */
@Service
public class SocialEndpointsFacade {

    protected List<SocialEndpoint> socialEndpointsList;

    protected Map<String, SocialEndpoint> socialEndpointsMap;

    @PostConstruct
    protected void init() {
        socialEndpointsMap = new HashMap<>();
        for (SocialEndpoint socialEndpoint : socialEndpointsList) {
            String name = socialEndpoint.getName();
            socialEndpointsMap.put(name, socialEndpoint);
        }
    }

    public SocialEndpoint getByName(String socialEndpointName) {
        return socialEndpointsMap.get(socialEndpointName);
    }

    public Set<String> getAvailableSocialEndpoints() {
        return socialEndpointsMap.keySet();
    }

    @Autowired
    public void setSocialEndpointsList(List<SocialEndpoint> socialEndpointsList) {
        this.socialEndpointsList = socialEndpointsList;
    }

}
