<%--
  ~ Copyright 2014 Dmytro Titov
  ~
  ~ Licensed under the Apache License, Version 2.0 (the "License");
  ~ you may not use this file except in compliance with the License.
  ~ You may obtain a copy of the License at
  ~
  ~ http://www.apache.org/licenses/LICENSE-2.0
  ~
  ~ Unless required by applicable law or agreed to in writing, software
  ~ distributed under the License is distributed on an "AS IS" BASIS,
  ~ WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
  ~ See the License for the specific language governing permissions and
  ~ limitations under the License.
  --%>
<div ng-controller="UsersController" data-ng-init="init()">
    <div id="userCreateModal" class="modal hide fade" tabindex="-1" role="dialog"
         aria-labelledby="userDetailsModalLabel" aria-hidden="true">
        <div class="modal-header">
            <button type="button" class="close" data-dismiss="modal" aria-hidden="true">x</button>
            <h3 id="userCreateModalLabel">New user</h3>
        </div>
        <div class="modal-body">
            <form id="userCreateForm" name="userCreateForm" class="css-form" novalidate>
                <input type="email" id="email" class="input-block-level" placeholder="Email address"
                       ng-model="user.email" name="email" required/>
                <input type="password" id="password" class="input-block-level" placeholder="Password"
                       ng-model="user.password" name="password" required/>
                <input type="password" id="confirm" class="input-block-level" placeholder="Confirm Password"
                       ng-model="user.confirm" name="confirm" confirm="password" required/>
            </form>
        </div>
        <div class="modal-footer">
            <i id="userCreateFormSpinner" class="fa fa-spinner fa-spin fa-2x pull-left"></i>
            <button class="btn btn-primary" ng-click="createUser(user)"
                    ng-disabled="userCreateForm.$invalid || isUnchanged(user)">
                Create
            </button>
            <button class="btn" data-dismiss="modal" aria-hidden="true">Close</button>
        </div>
    </div>

    <div id="userDetailsModal" class="modal hide fade" tabindex="-1" role="dialog"
         aria-labelledby="userDetailsModalLabel" aria-hidden="true">
        <div class="modal-header">
            <button type="button" class="close" data-dismiss="modal" aria-hidden="true">x</button>
            <h3 id="userDetailsModalLabel">User details</h3>
        </div>
        <div class="modal-body">
            <p>E-mail: {{details.email}}</p>

            <p>Is enabled: {{details.enabled}}</p>
        </div>
        <div class="modal-footer">
            <button class="btn" data-dismiss="modal" aria-hidden="true">Close</button>
        </div>
    </div>

    <div>
        <table class="table table-striped table-condensed table-hover">
            <thead>
            <tr>
                <th class="email">Email
                    &nbsp;
                    <a ng-click="sortBy('email')"><i class="fa fa-sort sort"></i></a>
                    &nbsp;
                    <a ng-click="searchBy('email')"><i class="fa fa-filter"></i></a>
                    &nbsp;
                    <input type="text" class="input-small inline-filter" ng-model="search.email">
                </th>
                <th class="enabled">Is enabled
                    &nbsp;
                    <a ng-click="sortBy('enabled')"><i class="fa fa-sort"></i></a>
                </th>
                <th>
                    <button class="btn btn-small" ng-click="showUserCreateModal()">
                        <i class="icon-file"></i> Add user
                    </button>
                </th>
            </tr>
            </thead>
            <tbody>
            <tr ng-repeat="user in users | filter:search">
                <td>{{user.email}}</td>
                <td>{{user.enabled}}</td>
                <td>
                    <button class="btn btn-link btn-mini" id="{{user.id}}" ng-click="details($event)">Details</button>
                </td>
            </tr>
            </tbody>
            <tfoot>
            <tr>
                <td class="pagesizer">
                    <div>
                        <select id="pagesizer" ng-model="size" ng-change="setSize(size)">
                            <option value="10">10</option>
                            <option value="50">50</option>
                            <option value="100">100</option>
                        </select>
                    </div>
                </td>
                <td>
                    <div class="pagination">
                        <ul>
                            <li ng-class="{disabled: page == 0}">
                                <a href ng-click="prevPage()">&laquo;</a>
                            </li>
                            <li ng-repeat="n in range(pages)"
                                ng-class="{active: n == page}"
                                ng-click="setPage()">
                                <a href ng-bind="n + 1">Page</a>
                            </li>
                            <li ng-class="{disabled: page == pages - 1}">
                                <a href ng-click="nextPage()">&raquo;</a>
                            </li>
                        </ul>
                    </div>
                </td>
            </tr>
            </tfoot>
        </table>
    </div>
</div>