/*
 * Copyright 2014 Dmytro Titov
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

var crowlyApp = angular.module('crowly', []);

crowlyApp.controller('IndexController', function ($scope, $http) {

    $scope.master = {};

    $scope.login = function (originalUser) {
        jQuery('#loginFormSpinner').attr('style', 'display: inline !important');
        var user = jQuery.extend(true, {}, originalUser);
        user.password = CryptoJS.SHA3(user.password).toString(CryptoJS.enc.Base64);
        $http({method: 'POST', url: '/rest/authentication/login', data: user}).
            success(function (data, status, headers, config) {
                window.location = "/dashboard/home";
            }).
            error(function (data, status, headers, config) {
                jQuery('#loginFormSpinner').attr('style', 'display: none !important');
                jQuery('#loginForm').effect('shake', {distance: 10});
            });
    };

    $scope.isUnchanged = function (user) {
        return angular.equals(user, $scope.master);
    };

});